User
This page provides APIs to manage users in Saleschat, including adding users, resetting passwords, generating magic links, assigning roles, and fetching user details.
Roles Allowed: ADMIN
Impersonated User Allowed: False
Partner Allowed: True
ask_user_to_update_password_on_login: Default value is False
emailConfirmed: User's email will be considered to be confirmed
Email to confirm email will not be sent
Role of the user added will be Member
Sometimes a user may be created without being added to the org and will have to be handled manually
User created successfully
Unauthorized - Authentication is required
Forbidden: Unauthorized access
Required fields are missing or invalid values are provided
Internal error
POST /v1/org/{orgId}/user HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117
{
"email": "text",
"password": "text",
"ask_user_to_update_password_on_login": true,
"first_name": "text",
"last_name": "text"
}{
"user_id": "text"
}Roles Allowed: ADMIN
Impersonated User Allowed: True
Partner Allowed: True
User will be required to reset the password on next login
Successfully reset
No content
Unauthorized - Authentication is required
Forbidden - You don't have permission to access this resource
UserId does not exist for this org
Required fields are missing or invalid values are provided
Internal Server Error - Something went wrong on the server
POST /v1/org/{orgId}/user/{userId}/password/reset HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"password": "text",
"ask_user_to_update_password_on_login": true
}No content
Roles Allowed: ADMIN
Impersonated User Allowed: False
Partner Allowed: True
Successfully generated magic link
Unauthorized - Authentication is required
Forbidden - You don't have permission to access this resource
UserId does not exist for this org or user has been deleted
Internal server error
GET /v1/org/{orgId}/user/{userId}/magiclink HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"url": "text"
}Roles Allowed: MEMBER
Impersonated User Allowed: True
Partner Allowed: True
Supports Partial match on email ID
""010Successfully fetched user for email ID
Unauthorized - Authentication is required
Forbidden - You don't have permission to access this resource
Internal server error
GET /v1/org/{orgId}/user?q= HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"email": "text",
"first_name": "text",
"last_name": "text"
}
],
"has_more": true
}Roles Allowed: ADMIN
Impersonated User Allowed: False
Partner Allowed: True
Updates user's basic information, role, and custom properties
Only provided fields will be updated (partial update)
Properties are stored as key-value pairs and can contain any custom data
Role changes will be reflected in PropelAuth
Member|Manager|Admin|OwnerSuccessfully updated user
No content
Unauthorized - Authentication is required
Forbidden - You don't have permission to access this resource
User not found
Invalid request data or validation errors
Internal server error
PATCH /v1/org/{orgId}/users/{userId} HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"first_name": "text",
"last_name": "text",
"role": "text",
"properties": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}No content
Roles Allowed: ADMIN
Impersonated User Allowed: False
Partner Allowed: True
Successfully deleted
No content
Unauthorized - Authentication is required
Forbidden - You don't have permission to access this resource
User Id does not exist
Internal Server Error - Something went wrong on the server
POST /v1/org/{orgId}/user/{userId}/delete HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Roles Allowed: ADMIN
Impersonated User Allowed: False
Partner Allowed: True
Successfully disabled
No content
Unauthorized - Authentication is required
Forbidden - You don't have permission to access this resource
userId does not exist for this org
Internal Server Error - Something went wrong on the server
POST /v1/org/{orgId}/user/{userId}/disable HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Roles Allowed: ADMIN
Impersonated User Allowed: False
Partner Allowed: True
Successfully enabled
No content
Unauthorized - Authentication is required
Forbidden - You don't have permission to access this resource
userId does not exist for this org
Internal Server Error - Something went wrong on the server
POST /v1/org/{orgId}/user/{userId}/enable HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated